--- title: "Get All User Details" slug: "get-all-user-details-1" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:26:19Z published: 2026-11-19T12:26:19Z canonical: "docs.trellix.com/get-all-user-details-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get All User Details ### Resource URL GET /users This URL is to retrieve the details of all the users. ### Request Parameters No request parameters are required for this URL. ### Response Parameters Following field is returned with the URL, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `nsmUsers` | This field contains the details of all the users. | Object | Details of nsmUsers: | Field Name | Description | Data Type | | --- | --- | --- | | `userId` | Unique identifier of a user | String | | `userName` | Name given to the user | String | | `firstAndLastName` | First and last name of the user | String | | `domainId` | The domain in which the user was created | String | | `role` | This field contains the information regarding the role assigned to the user. It can have any value from the list of roles already defined in the Manager, i.e., - ePO dashboard data retriever - Policy administrator - NOC operator - Report generator - Security expert - Super user - System administrator - No role > [!NOTE] > Note > > In addition to the above mentioned roles, the user can also be assigned a custom created role. | String | | `emailId` | Email address of the user | String | | `authenticationType` | Authentication protocol type (such as `1` for Local, `2.1` for RADIUS PAP, `2.2` for RADIUS CHAP, `2.3` for RADIUS EAP-MD5, `3` for LDAP, or `4` for OIDC) | String | | `radiusId` | RADIUS ID used for authenticating settings against the RADIUS server | String | | `ldapId` | LDAP distinguished name used for LDAP authentication. Returns `null` if not applicable. | String | | `oidcId` | Identity Provider username used for OpenID Connect authentication. Returns `null` if not applicable. | String | ### Example **Request** GET [https:///sdkapi/users](https://<NSM_IP>/sdkapi/users) **Response** ```plaintext {    "nsmUsers": [        {            "userId": 1,            "userName": "admin",            "firstAndLastName": "Administrator",            "domainId": 0,            "role": "Super User",            "emailId": "Administrator Email",            "authenticationType": "1",            "radiusId": null,            "ldapId": null,            "oidcId": null        },        {            "userId": 101,            "userName": "rundeckuser",            "firstAndLastName": "Rundeck User",            "domainId": 101,            "role": "Report Generator",            "emailId": "soc-specialists@xyz.com",            "authenticationType": "2.1",            "radiusId": "networkuser",            "ldapId": null,            "oidcId": null        }    ] } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4501 | Unable to get the Manager details. |